Package: org.codehaus.groovy.util

## [Java] Class LazyReference<T>

- org.codehaus.groovy.util.LazyReference

- Soft reference with lazy initialization under lock

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LazyReference (ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `T` | `get()`
    `` | `T` | `initValue()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LockableObject` | `isHeldExclusively, lock, tryAcquire, tryRelease, unlock`
    `class AbstractQueuedSynchronizer` | `toString, acquireInterruptibly, getQueueLength, getQueuedThreads, getWaitQueueLength, getWaitingThreads, hasQueuedThreads, hasWaiters, isQueued, release, tryAcquireNanos, acquire, acquireShared, acquireSharedInterruptibly, getExclusiveQueuedThreads, getFirstQueuedThread, getSharedQueuedThreads, hasContended, hasQueuedPredecessors, owns, releaseShared, tryAcquireSharedNanos, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public LazyReference(ReferenceBundle bundle)

  - ### Method Detail

    - #### public void clear()

    - #### public T get()

    - #### public T initValue()

    - #### public String toString()